#!/bin/bash

#TODO: 'timeout' on executeScript execution, and use error code to determine whether c is incremented.

CONFIG_FILE=$1
NUMBER_OF_REPLICAS=$2

source $CONFIG_FILE
for TEST in "${TESTS[@]}"
	do
	for REPLICATION_FACTOR in "${REPLICATION_FACTOR_ARRAY[@]}"
	do
		echo "Executing eval script with replication factor of $REPLICATION_FACTOR."	
		for (( c=1; c<=$NUM_OF_RUNS; c++ ))
		do
			echo "Executing eval script with run $c of $NUM_OF_RUNS."
			./_executeScriptWrapper.sh $CONFIG_FILE $REPLICATION_FACTOR $TEST
			
			if [ $? -eq 5 ]; then 
				#Any other error codes indicate a different type of terminiation.
				echo "Execution timed out: java -cp $CLASSPATH $CLASS_TO_START '$LIST_OF_NEEDED_INSTANCES' $H2O_JAR_NAME"
				#Decrement counter.
				let c=c-1
			fi
		done
	done
done
