#!/bin/bash
# Script to get the latest version of H2O.]

rm -rf bin/
mkdir bin

successful=false

while [ $successful == false ]; do
	wget -t10 --no-check-certificate https://builds.cs.st-andrews.ac.uk/job/h2o/lastSuccessfulBuild/artifact/bin/h2o.zip
	
	if [ $? -eq 0 ]; then
		successful=true
	fi

done
unzip -dbin h2o.zip
rm h2o.zip
