#!/bin/bash

#Stop any existing running instances.

source static-config.cfg


function suExecuteCommand { #$1 - command to execute, $2 location to execute, $3 - user to execute as. 
	ssh $ROOT_USER@$2 "su -c '$1' - $3"

}



echo "Stopping data nodes: ${DATA_NODES[@]}."
for DATA_NODE in "${ALL_REMOTE_INSTANCES[@]}"
do

	ssh $ROOT_USER@$DATA_NODE "pkill -9 -f '.*$PG_ROOT/.*'"
done

